2018-08-17 05:07 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004463Kali Linux[All Projects] General Bugpublic2018-01-11 09:02
Reportercrash 
Assigned Tosbrun 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.3 
Target VersionFixed in Version2018.1 
Summary0004463: mitmproxy does not start
Descriptionmitmproxy does not start.
Steps To Reproduce#mitmproxy

Traceback (most recent call last):
  File "/usr/bin/mitmproxy", line 11, in <module>
    load_entry_point('mitmproxy==2.0.2', 'console_scripts', 'mitmproxy')()
.
(snippet)
.
 from construct import (Array, Bytes, Struct, UBInt16, UBInt32, UBInt8, PascalString, Embed, TunnelAdapter, GreedyRange, Switch, OptionalGreedyRange, Optional)
ImportError: cannot import name 'UBInt16'
Additional Information# apt search mitmproxy
mitmproxy/kali-rolling,kali-rolling,now 2.0.2-0kali2 all [installed,automatic]
  SSL-capable man-in-the-middle HTTP proxy

# uname -a
Linux Anubis 4.14.0-kali3-amd64 0000001 SMP Debian 4.14.12-2kali1 (2018-01-08) x86_64 GNU/Linux

# python -V
Python 2.7.14+

I tried to upgrade the construct pkt but no success.
Ref: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=852902

Attached Files

-Relationships
+Relationships

-Notes

~0007786

rhertzog (administrator)

The Debian bug report you show is an old one where the problem had been fixed by downgrading construct from 2.8.8 to 2.5.2. But construct switched to 2.8.16 at the end of November. https://pkg.kali.org/pkg/construct

It looks like mitmproxy will need upstream changes to adapt to the new version of construct.

A bug had been opened about this: https://github.com/mitmproxy/mitmproxy/issues/2751

So it looks like fixed in the 3.0.0~rc2... but updating to this version is likely also going to break some reverse dependencies which are not ready for this new version yet.

The commit adding compatibility with the new version of construct is this one:
https://github.com/mitmproxy/mitmproxy/commit/33689c6b2d2373279ec9ca7bbdef75319d1d1d9c

It needs to be adapted as some of filenames look like different from what is in 2.0.2.

~0007791

sbrun (manager)

fixed in new version 2.0.2-0kali3
+Notes

-Issue History
Date Modified Username Field Change
2018-01-09 17:04 crash New Issue
2018-01-11 08:21 rhertzog Note Added: 0007786
2018-01-11 08:22 rhertzog Assigned To => sbrun
2018-01-11 08:22 rhertzog Status new => assigned
2018-01-11 09:02 sbrun Status assigned => resolved
2018-01-11 09:02 sbrun Resolution open => fixed
2018-01-11 09:02 sbrun Fixed in Version => 2018.1
2018-01-11 09:02 sbrun Note Added: 0007791
+Issue History